Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Class PreDestroyViewMapEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.SystemEvent
              javax.faces.event.ComponentSystemEvent
                  javax.faces.event.PreDestroyViewMapEvent

All Implemented Interfaces:
  Serializable

    public class PreDestroyViewMapEvent

extends ComponentSystemEvent

This event must be published by a call to `Application.publishEvent(javax.faces.context.FacesContext, java.lang.Class, java.lang.Object)` when the `clear` method is called on the map returned from `UIViewRoot.getViewMap()`.

Since:
  2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PreDestroyViewMapEvent(UIViewRoot root)` Instantiate a new `ViewMapDestroydEvent` that indicates the argument `root` just had its associated view map destroyed.

Method Summary

Methods inherited from class javax.faces.event.ComponentSystemEvent
`getComponent`

Methods inherited from class javax.faces.event.SystemEvent
`isAppropriateListener, processListener`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreDestroyViewMapEvent

    public PreDestroyViewMapEvent(UIViewRoot root)

  Instantiate a new `ViewMapDestroydEvent` that indicates the argument `root` just had its associated view map destroyed.

  Parameters:
    `root` - the `UIViewRoot` for which the view map has just been destroyed.
  Throws:
    ``IllegalArgumentException`` - if the argument is `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.